import { css } from "@linaria/core";
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const btns = ["up", "right", "bottom", "left"];
    return () => (
      <div class={rootStyle}>
        {btns.map((_, i) => {
          return (
            <div
              class="fanBtn"
              style={{ transform: `rotate(${(360 / btns.length) * i}deg)` }}
            >
              ↑
            </div>
          );
        })}
        <div class="resetBtn">复位</div>
      </div>
    );
  },
});

const rootStyle = css`
  position: relative;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background: #eee;
  overflow: hidden;

  @apply shadow;

  .fanBtn {
    position: absolute;
    width: 48px;
    height: 48px;

    background-color: #fff;
    font-size: 12px;
    text-align: center;
    clip-path: polygon(1% 0, 50% 49%, 99% 0);
    &:hover {
      background: @inf-primary-color;
    }
  }

  .resetBtn {
    position: absolute;
    width: 28px;
    height: 28px;
    text-align: center;
    line-height: 28px;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    font-size: 12px;
    @apply shadow;
  }
`;
